Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: assetmgrmodel::AssetStripLogger Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
assetmgrmodel::AssetStripLogger Interface Reference

Asset Strip Logger interface. More...

`import <AssetStripLogger.idl;`

## Classes
struct | Info
| Log information structure. More...
struct | Record
| Log record structure. More...

## Public Types
enum | RecordType { EMPTY , ASSET_TAG_CONNECTED , ASSET_TAG_DISCONNECTED , ASSET_STRIP_STATE_CHANGED }
| Log record type. More...

## Public Member Functions
Info | getInfo ()
| Retrieve the log information.
int | getRecords (out vector< Record > records, in int id, in int count)
| Retrieve records from the log ring buffer.

## Public Attributes
constant int | NO_ERROR = 0
| Error codes.
constant int | ERR_INVALID_PARAM = 1
| Invalid parameter.

## Detailed Description

Asset Strip Logger interface.

Definition at line 17 of file AssetStripLogger.idl.

## Member Enumeration Documentation

## ◆ RecordType

enum assetmgrmodel::AssetStripLogger::RecordType

Log record type.

Enumerator
EMPTY | The log record is empty.
ASSET_TAG_CONNECTED | An asset tag has been connected.
ASSET_TAG_DISCONNECTED | An asset tag has been disconnected.
ASSET_STRIP_STATE_CHANGED | The state of the asset strip changed.

Definition at line 38 of file AssetStripLogger.idl.

## Member Function Documentation

## ◆ getInfo()

Info assetmgrmodel::AssetStripLogger::getInfo | ( |  | ) |

Retrieve the log information.

Returns
  Log information

## ◆ getRecords()

int assetmgrmodel::AssetStripLogger::getRecords | ( | out vector< Record > | records,
|  | in int | id,
|  | in int | count )

Retrieve records from the log ring buffer.

This method is used to read one or more records from the log ring buffer. It is allowed to read unused entries. The record index will wrap to 0 when reading beyond the end of the log.

Parameters

  records | Result: The requested log entries
  id | Index of the first log index to read (0..capacity)
  count | Number of records to read (1..capacity)

Returns
  NO_ERROR on success
  ERR_INVALID_PARAM if any parameter is out of range

## Member Data Documentation

## ◆ ERR_INVALID_PARAM

constant int assetmgrmodel::AssetStripLogger::ERR_INVALID_PARAM = 1

Invalid parameter.

Definition at line 23 of file AssetStripLogger.idl.

## ◆ NO_ERROR

constant int assetmgrmodel::AssetStripLogger::NO_ERROR = 0

Error codes.

Operation successful, no error

Definition at line 22 of file AssetStripLogger.idl.

The documentation for this interface was generated from the following file:

- AssetStripLogger.idl